using SushiBarContracts.BindingModels;
using SushiBarContracts.SearchModels;
using SushiBarContracts.ViewModels;

namespace SushiBarContracts.StoragesContracts
{
    public interface ISushiStorage
    {
        List<SushiViewModel> GetFullList();
        List<SushiViewModel> GetFilteredList(SushiSearchModel model);
        SushiViewModel? GetElement(SushiSearchModel model);
        SushiViewModel? Insert(SushiBindingModel model);
        SushiViewModel? Update(SushiBindingModel model);
        SushiViewModel? Delete(SushiBindingModel model);
    }
}
